#include <stdlib.h>
#include <stdio.h>
#include "subst.h"

int read(char buffer[]){
	return scanf("%s", buffer);
}

char sostituzione(char in);

void cifra_stringa(char input[], char output[]){
	int i=0;
	while(input[i]!='\0'){
		output[i]=sostituzione(input[i]);
		i++;
	}
	output[i]='\0';
}


char sostituzione(char in){
	return substitution[in-'a'];
}


int main(int argc, char **argv){
	int len=0;
	char risultato[128];
	char buffer[128];
	do {
		len=read(buffer);
		cifra_stringa(buffer,risultato);
		printf("%s ", risultato);
	} while (len>=0);
	printf("\n");
}
